package l_notify

import (
	"fmt"
	"os"
	"os/signal"
	"syscall"
)

func keepAlive() {
	// 创建一个通道来监听操作系统信号
	stop := make(chan bool)

	// 监听系统信号
	signalChan := make(chan os.Signal, 1)
	signal.Notify(signalChan, syscall.SIGINT, syscall.SIGTERM)

	go func() {
		<-signalChan
		stop <- true
	}()

	select {
	case <-stop:
		fmt.Println("Received stop signal, exiting...")
		return
	}
}
